Subject: Re: Problem on cross-m68k-netbsdelf compiler
To: None <>
From: Izumi Tsutsui <>
List: tech-toolchain
Date: 01/24/2001 21:04:39
In <> wrote:

> this is the biggest problem with pkgsrc/cross compilers:
> EGCS_PATCHBUNDLE=       ${EGCS_DISTNAME}-NetBSD-19980104.diff.gz
> ie, it's the compiler we were using 3 years ago, plus a few
> minor changes (mostly to add new ports such as sparc-netbsdelf.

Yes, I know the ELF BSS bug has been fixed in binutils-2.10.1, too.

Anyway, sync sources with gnu/dist and pkgsrc/cross is still worth.
It make updating base toolchans and feedback to FSF (or cygnus?) easier.

But we have to move all patches in the each target directories
into common (binutils/patches, COMMON/patches-{binutils,egcs})
directories to avoid conflicts.

> at the very least, it should be updated to what we currently
> use, at best, to 2.95.2 :-)

We should reorganize cross packages _after_ we switch to
gcc-2.95.2/binutils-2.10.1 in the main trunk :-)
Izumi Tsutsui